> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/39.-mutacija-iestatit-pielagotas-krasu-shemas-atlasitajam-geomaps.md).

# 39. Mutācija: iestatīt pielāgotas krāsu shēmas atlasītajām "GeoMaps"

Iestatiet pielāgotas krāsu shēmas datu slāņiem: "ZonesMaps", "SoilDatasets".&#x20;

Atbalsts citiem datu slāņiem ("YieldDataset", "TopographyMaps", "SatelliteImages") drīzumā tiks pievienots.

Atjauniniet visus atribūtus "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    klases
    hexKrāsuKodes
    url
  }
}
```

{% endcode %}

Atjauniniet tikai krāsu shēmas "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    klases
    hexKrāsuKodes
    url
  }
}
```

{% endcode %}

**SVARĪGI** punkti, lai uzzinātu, kā izmantot mutāciju:

1. Atribūti `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, un `shortName` ir obligāti, lai identificētu pareizo "GeoMap", kuru labot. Visi trīs atribūti kopā atspoguļo "GeoMap" unikālitāti.
2. Vai nu `soilDatasetUuid` vai `vectorAnalysisMapUuid` atribūtam jābūt izmantotam katram atsevišķam "GeoMap" ievadam.
3. Vērtībai `shortName` jābūt tādai pašai kā izcelsmei "GeoMap". To nevar rediģēt.
4. Atribūti `fullName`, `description`, `hexKrāsuKodes` ir rediģējami "ZonesMaps" un tos var mainīt. Izmaiņas netiks piemērotas, ja atribūts nav minēts.
5. Atribūti `fullName`, `description`, `klases`, `hexKrāsuKodes` ir rediģējami "SoilDatasets" un tos var mainīt. Izmaiņas netiks piemērotas, ja atribūts nav minēts.
6. Masīvi `klases` un `hexKrāsuKodes`  jābūt tieši tāda paša garuma kā izcelsmei "GeoMap".
7. Masīvu "GeoMaps" garumam pieprasījumā un atbildē jābūt vienādam. Ja nē, daži "GeoMaps" netika veiksmīgi rediģēti.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/39.-mutacija-iestatit-pielagotas-krasu-shemas-atlasitajam-geomaps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
